* {
    margin: 0;
    padding: 0;
}

body {
    font-family: "Verdana", sans-serif;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

input[type=number] {
  -moz-appearance: textfield;
}

input:focus {
    outline: none;
}

label {
    user-select: none;
    cursor: pointer;
}

.main__wrapper {
    width: 100%;
    height: 100vh;
}

.main__container {
    max-width: 1170px;
    margin: 0 auto;
    padding: 20px;
}

.main__content {
    display: flex;
    justify-content: center;
    margin-top: 100px;
    gap: 100px;
    flex-wrap: wrap;
}

.main__title {
    font-size: 24px;
    font-weight: 500;
}

.switcher-item {
    position: relative;
    display: flex;
    width: 100%;
    height: 100%;
}

.switcher__wrapper {
    width: 60px;
    height: 35px;
}

.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #DAE6ED;
    transition: 0.4s;
    border-radius: 34px;
}

.slider::before {
    content: "";
    position: absolute;
    height: 28px;
    width: 28px;
    left: 4px;
    bottom: 4px;
    background-color: white;
    transition: 0.4s;
    border-radius: 50%;
}

.switcher {
    opacity: 0;
    width: 0;
    height: 0;
}

.switcher:checked + .slider {
    background-color: #015DFF;
}

.switcher:focus + .slider {
    box-shadow: 0 0 1px #DAE6ED;
}

.switcher:checked + .slider::before {
    transform: translateX(25px);
}

.settings {
    padding: 20px;
}

.settings-input__wrapper input {
    max-width: 35px;
    font-size: 18px;
    border-radius: 16px;
    border: 2px solid #000;
    padding: 5px 10px;
    font-weight: 600;
}

.settings-input__wrapper input::placeholder {
    color: rgba(0, 0, 0, .5)
}

.settings-item {
    display: flex;
    align-items: center;
    gap: 25px;
    flex-wrap: nowrap;
    margin-top: 20px;
}

.settings-item:first-child {
    margin-top: 0;
}

.settings-item label {
    font-weight: 500;
    font-size: 18px;
}

@media (max-width: 449px) {
    .main__content {
        flex-direction: column;
        align-items: center;
        gap: 50px 0px; 
    }
}